VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::CertificateParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::CertificateParams:

## Avaliable Methods
public method | set_is_self_signed ()
public method | set_is_valid ()
public method | set_type ()
public method | get_issuer ()
public method | get_x509 ()
public method | set_subject ()
public method | get_subject ()
public method | get_is_valid ()
public method | set_x509 ()
public method | get_is_self_signed ()
public method | get_type ()
public method | new ()
public method | set_issuer ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::CertificateParams` class contains information about the public key certificate used to sign the OVF package. This class will only be returned if the OVF package is signed.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::CertificateParams::get_is_self_signed | ( |  | ) |

Gets the value of 'is_self_signed' property.

Return values

  is_self_signed | - The current value of the field. Is the certificate self-signed. optional#

Code:
click to view
# Number of lines of code in get_is_self_signed: 4
sub get_is_self_signed {
my ($self, %args) = @_;
return $self->{'is_self_signed'};
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::get_is_valid | ( |  | ) |

Gets the value of 'is_valid' property.

Return values

  is_valid | - The current value of the field. Is the certificate chain validated. optional#

Code:
click to view
# Number of lines of code in get_is_valid: 4
sub get_is_valid {
my ($self, %args) = @_;
return $self->{'is_valid'};
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::get_issuer | ( |  | ) |

Gets the value of 'issuer' property.

Return values

  issuer | - The current value of the field. Certificate issuer. For example: /C=US/ST=California/L=Palo Alto/O=VMware, Inc. optional#

Code:
click to view
# Number of lines of code in get_issuer: 4
sub get_issuer {
my ($self, %args) = @_;
return $self->{'issuer'};
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::get_subject | ( |  | ) |

Gets the value of 'subject' property.

Return values

  subject | - The current value of the field. Certificate subject. For example: /C=US/ST=Massachusetts/L=Hopkinton/O=EMC Corporation/OU=EMC Avamar/CN=EMC Corporation. optional#

Code:
click to view
# Number of lines of code in get_subject: 4
sub get_subject {
my ($self, %args) = @_;
return $self->{'subject'};
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::get_x509 | ( |  | ) |

Gets the value of 'x509' property.

Return values

  x509 | - The current value of the field. The X509 representation of the certificate. optional#

Code:
click to view
# Number of lines of code in get_x509: 4
sub get_x509 {
my ($self, %args) = @_;
return $self->{'x509'};
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::CertificateParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{issuer} = $args{'issuer'};
$self->{subject} = $args{'subject'};
$self->{is_valid} = $args{'is_valid'};
$self->{is_self_signed} = $args{'is_self_signed'};
$self->{x509} = $args{'x509'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::CertificateParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.certificate_params');
$self->set_binding_field('key' => 'issuer', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'subject', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'is_valid', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'is_self_signed', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'x509', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::set_is_self_signed | ( |  | ) |

Sets the given value for 'is_self_signed' property.

Parameters

  is_self_signed | - New value for the field. Is the certificate self-signed.

Code:
click to view
# Number of lines of code in set_is_self_signed: 5
sub set_is_self_signed {
my ($self, %args) = @_;
$self->{'is_self_signed'} = $args{'is_self_signed'};
return;
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::set_is_valid | ( |  | ) |

Sets the given value for 'is_valid' property.

Parameters

  is_valid | - New value for the field. Is the certificate chain validated.

Code:
click to view
# Number of lines of code in set_is_valid: 5
sub set_is_valid {
my ($self, %args) = @_;
$self->{'is_valid'} = $args{'is_valid'};
return;
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::set_issuer | ( |  | ) |

Sets the given value for 'issuer' property.

Parameters

  issuer | - New value for the field. Certificate issuer. For example: /C=US/ST=California/L=Palo Alto/O=VMware, Inc.

Code:
click to view
# Number of lines of code in set_issuer: 5
sub set_issuer {
my ($self, %args) = @_;
$self->{'issuer'} = $args{'issuer'};
return;
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::set_subject | ( |  | ) |

Sets the given value for 'subject' property.

Parameters

  subject | - New value for the field. Certificate subject. For example: /C=US/ST=Massachusetts/L=Hopkinton/O=EMC Corporation/OU=EMC Avamar/CN=EMC Corporation.

Code:
click to view
# Number of lines of code in set_subject: 5
sub set_subject {
my ($self, %args) = @_;
$self->{'subject'} = $args{'subject'};
return;
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Vcenter::Ovf::CertificateParams::set_x509 | ( |  | ) |

Sets the given value for 'x509' property.

Parameters

  x509 | - New value for the field. The X509 representation of the certificate.

Code:
click to view
# Number of lines of code in set_x509: 5
sub set_x509 {
my ($self, %args) = @_;
$self->{'x509'} = $args{'x509'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/CertificateParams.pm